메인 콘텐츠로 건너뛰기
GET
/
v1
/
external
/
note-document-templates
List Note Document Templates
curl --request GET \
  --url https://api.tiro.ooo/v1/external/note-document-templates \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tiro.ooo/v1/external/note-document-templates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tiro.ooo/v1/external/note-document-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "content": [
    {
      "id": 1,
      "title": "회의록",
      "description": "회의 내용을 체계적으로 정리하는 템플릿",
      "sections": [
        {
          "id": 1,
          "title": "주요 논의 사항",
          "sectionType": "PLAIN_TEXT",
          "userInstruction": "회의에서 논의된 핵심 주제를 요약해주세요"
        },
        {
          "id": 2,
          "title": "액션 아이템",
          "sectionType": "ACTION_ITEMS",
          "userInstruction": "회의에서 결정된 실행 항목을 정리해주세요"
        }
      ],
      "favorite": false,
      "isManaged": true,
      "isEditable": false,
      "createdAt": "2025-10-20T12:35:26Z"
    },
    {
      "id": 2,
      "title": "영업 보고서",
      "description": "영업 활동 내용을 정리하는 템플릿",
      "sections": [
        {
          "id": 3,
          "title": "영업 개요",
          "sectionType": "PLAIN_TEXT",
          "userInstruction": "영업 활동의 전반적인 내용을 요약해주세요"
        }
      ],
      "favorite": false,
      "isManaged": true,
      "isEditable": false,
      "createdAt": "2025-10-20T11:20:15Z"
    }
  ]
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}

인증

Authorization
string
header
필수

API key in format {id}.{secret}

응답

List of note document templates

Response containing list of note document templates

content
object[]
필수

Array of document templates